Figure out deployment strategy
Status: Closed Start date: 05/04/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 05/04/2020 06:11 PM - Luke Murphey

Qs: *

Obs:

I would need to figure out how to deploy the SPA

Solns:

Bundle directly into app

This is easy but requires pushing an update to the backend every time I want frontend updates

Keep separate, use backend only for REST endpoints

Could deploy frontend easily by just copying out the frontend code to the web-server

Would need to map APIs in the web-server

Backend would not need to be upgraded for a new UI

Perhaps I could get rid of the static directory population script for the SPA code

#2 - 05/18/2020 05:30 PM - Luke Murphey

- Status changed from New to In Progress

#3 - 05/19/2020 05:42 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
